Package: groovy.cli.commons

## [Groovy] Class OptionAccessor

- groovy.cli.commons.OptionAccessor

-     class OptionAccessor
      extends Object

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `CommandLine` | `commandLine`
    `Map<String, TypedOption>` | `savedTypeOptions`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `OptionAccessor(CommandLine commandLine)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `List<String>` | `arguments()`
    `<T>` | `T` | `defaultValue(String name)`
    `<T>` | `T` | `getAt(TypedOption<T> typedOption)`
    `<T>` | `T` | `getAt(TypedOption<T> typedOption, T defaultValue)`
    `<T>` | `T` | `getOptionValue(TypedOption<T> typedOption)`
    `<T>` | `T` | `getOptionValue(TypedOption<T> typedOption, T defaultValue)`
    `` | `Object` | `getProperty(String name)`
    `` | `boolean` | `hasOption(TypedOption typedOption)`
    `` | `Object` | `invokeMethod(String name, Object args)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### CommandLine commandLine

    - #### Map<String, TypedOption> savedTypeOptions

  - ### Constructor Detail

    - #### OptionAccessor(CommandLine commandLine)

  - ### Method Detail

    - #### List<String> arguments()

    - #### <T> T defaultValue(String name)

    - #### <T> T getAt(TypedOption<T> typedOption)

    - #### <T> T getAt(TypedOption<T> typedOption, T defaultValue)

    - #### <T> T getOptionValue(TypedOption<T> typedOption)

    - #### <T> T getOptionValue(TypedOption<T> typedOption, T defaultValue)

    - #### Object getProperty(String name)

    - #### boolean hasOption(TypedOption typedOption)

    - #### Object invokeMethod(String name, Object args)